%define _disable_exceptions 1
%define build_bootstrap 0
%{?_with_bootstrap: %{expand: %%global build_bootstrap 1}}

%define snapshot 0
%define date 20130523

%bcond_without postgres
%bcond_without mysql
%bcond_without sqlite
%bcond_without tds
%bcond_with qvfb
%bcond_without docs
%bcond_without odbc

%bcond_with debug
%bcond_with ibase

%define qtmajor 5
%define qtminor 10
%define qtsubminor 0
%define pre rc

%define major_private 1
%define qtversion %{qtmajor}.%{qtminor}.%{qtsubminor}

%define libqt %mklibname qt5base %qtmajor
%define libqtdevel %mklibname qt5base %qtmajor -d

%define libqtcore %mklibname qt5core %qtmajor
%define libqtcore_d %mklibname qt5core -d
%define libqtcore_ph_d %mklibname qt5core_ph -d

%define libqtconcurrent %mklibname qt5concurrent %qtmajor
%define libqtconcurrent_d %mklibname qt5concurrent -d

%define libqtdbus %mklibname qt5dbus %qtmajor
%define libqtdbus_d %mklibname qt5dbus  -d

%define libqtsql %mklibname qt5sql %qtmajor
%define libqtsql_d %mklibname qt5sql -d

%define libqtgui %mklibname qt5gui %qtmajor
%define libqtgui_d %mklibname qt5gui -d

%define libqtnetwork %mklibname qt5network %qtmajor
%define libqtnetwork_d %mklibname qt5network -d

%define libqtopengl %mklibname qt5opengl %qtmajor
%define libqtopengl_d %mklibname qt5opengl -d

%define libqtprintsupport %mklibname qt5printsupport %qtmajor
%define libqtprintsupport_d %mklibname qt5printsupport -d

%define libqttest %mklibname qt5test %qtmajor
%define libqttest_d %mklibname qt5test -d

%define libqtwidgets %mklibname qt5widgets %qtmajor
%define libqtwidgets_d %mklibname qt5widgets -d

%define libqtxml %mklibname qt5xml %qtmajor
%define libqtxml_d %mklibname qt5xml -d

%define libqtbootstrap %mklibname qt5bootstrap %qtmajor
%define libqtbootstrap_d %mklibname qt5bootstrap -d

%define libqtplatformsupport %mklibname qt5platformsupport %qtmajor
%define libqtplatformsupport_d %mklibname qt5platformsupport -d

%define libqtegldeviceintegration %mklibname qt5egldeviceintegration %qtmajor
%define libqtegldeviceintegration_d %mklibname qt5egldeviceintegration -d

%define libqtxcbqpa %mklibname qt5xcbqpa %qtmajor
%define libqtxcbqpa_d %mklibname qt5xcbqpa -d

%define _qt5_prefix %_libdir/qt5
%define _qt5_datadir %{_qt5_prefix}
%define _qt5_bindir %{_qt5_prefix}/bin
%define _qt5_docdir %_docdir/qt5
%define _qt5_libdir %_libdir
%define _qt5_includedir %{_qt5_prefix}/include
%define _qt5_plugindir %{_qt5_prefix}/plugins
%define _qt5_demosdir %{_qt5_prefix}/demos
%define _qt5_examplesdir %{_qt5_prefix}/examples
%define _qt5_importdir %{_qt5_prefix}/imports
%define _qt5_testsdir %{_qt5_prefix}/tests
%define _qt5_translationdir %{_datadir}/qt5/translations
%define _qt5_settingsdir %{_sysconfdir}/xdg
%define _qt5_sysconfdir %{_qt5_settingsdir}

%if %snapshot
%define qttarballdir qtbase-everywhere-src-%{qtversion}-%pre
%else
%define qttarballdir qtbase-everywhere-src-%{qtversion}
%endif


# Do not check any files in %%{_qt5_plugindir}/platformthemes/ for requires.
# Those themes are there for platform integration. If the required libraries are
# not there, the platform to integrate with isn't either. Then Qt will just
# silently ignore the plugin that fails to load. Thus, there is no need to let
# RPM drag in gtk2 as a dependency for the GTK+ 2 dialog support.
%global __requires_exclude_from ^%{_qt5_plugindir}/platformthemes/.*$

Name: qtbase5
Version: 5.10.0
Release: %mkrel 2
Summary: Qt GUI toolkit
Group: System/Libraries
License: LGPLv2 with exceptions or GPLv3 with exceptions and GFDL
URL:     http://www.qt.io
Source0: http://download.qt.io/official_releases/qt/%{qtmajor}.%{qtminor}/%{version}/submodules/%qttarballdir.tar.xz
Source2: qt5.macros
Source3: qt5-fedora-check-opengl2.sh
Patch3:         libqt5-Fix-Gujarati-font.patch
Patch10:        libqt5-prioritise-gtk2-platformtheme.patch
Patch1000:      0001-xcb-verify-if-xrandr-present-before-using-xcb_randr-.patch
Patch2000:      0001-Remove-QPrintDialogPrivate-applyPrinterProperties-no.patch
Patch2001:      0002-Remove-QUnixPrintWidgetPrivate-applyPrinterPropertie.patch
Patch2002:      0003-Remove-QPrintPropertiesDialog-applyPrinterProperties.patch
Patch2003:      0004-Remove-QCupsJobWidget-setPrinter.patch
Patch2004:      0005-Remove-QPrintPropertiesDialog-selectPrinter.patch
Patch2005:      0006-Remove-QPageSetupWidget-selectPrinter.patch
Patch2006:      0007-Introduce-QPrintDevice-property-setProperty.patch
Patch2007:      0008-Allow-access-to-ppd-file-and-ppdMarkOption-via-QPpdP.patch
Patch2008:      0009-QPlatformPrintDevice-use-QVector-not-QList-in-the-AP.patch
Patch2009:      0010-Reintroduce-the-Advanced-tab-in-the-QPrintProperties.patch
Patch2010:      0011-QtPrintSupport-Fix-build.patch
Patch2011:      0001-Fix-custom-page-size-handling-in-the-Unix-print-dial.patch


BuildRequires: pkgconfig(xtst)
BuildRequires: pkgconfig(libxslt)
BuildRequires: pkgconfig(xcb)
BuildRequires: pkgconfig(xcb-image)
BuildRequires: pkgconfig(xcb-icccm)
BuildRequires: pkgconfig(xcb-keysyms)
BuildRequires: pkgconfig(xcb-renderutil)
BuildRequires: pkgconfig(xkbcommon) >= 0.4.1
BuildRequires: pkgconfig(alsa)
BuildRequires: pkgconfig(libpulse)
BuildRequires: pkgconfig(gl)
BuildRequires: mesa-common-devel
BuildRequires: pkgconfig(zlib) 
BuildRequires: pkgconfig(openssl)
BuildRequires: pkgconfig(libpng) 
BuildRequires: libjpeg-devel
BuildRequires: libtiff-devel
BuildRequires: libmng-devel
BuildRequires: lib64lcms-devel
BuildRequires: cups-devel
BuildRequires: pkgconfig(freetype2)
BuildRequires: pkgconfig(fontconfig)
BuildRequires: expat-devel
BuildRequires: pkgconfig(dbus-1) >= 0.92
BuildRequires: termcap-devel
BuildRequires: libpam-devel
BuildRequires: readline-devel
BuildRequires: perl
BuildRequires: pkgconfig(glib-2.0)
BuildRequires: pkgconfig(libxml-2.0)
BuildRequires: binutils >= 2.18 
# For qtgtk style 
BuildRequires: pkgconfig(gtk+-2.0)
BuildRequires: pkgconfig(gstreamer-1.0)
BuildRequires: pkgconfig(gstreamer-app-1.0)
#BuildRequires: pkgconfig(vg)

%description
Qt is a GUI software toolkit which simplifies the task of writing and
maintaining GUI (Graphical User Interface) applications for the X
Window System. Qt is written in C++ and is fully object-oriented.

This package contains the shared library needed to run Qt
applications, as well as the README files for Qt.

#------------------------------------------------------------------------------

%package common
Summary: Qt%{qtmajor} Config and Language Files
Group: System/Libraries
Provides: qt5-common = %version-%release
Obsoletes: qt5-common 
%if %{build_bootstrap}
Requires:  qttranslations5 
%endif

%description common
Qt is a GUI software toolkit which simplifies the task of writing and
maintaining GUI (Graphical User Interface) applications for the X
Window System. Qt is written in C++ and is fully object-oriented.

Configuration and language files for Qt%{qtmajor}.

%files common
%attr(0755,root,root) %{_sysconfdir}/profile.d/*
%dir %{_qt5_bindir}
%{_qt5_bindir}/syncqt.pl
%dir %{_qt5_plugindir}
%{_qt5_plugindir}/generic
%{_qt5_plugindir}/bearer
%dir %{_qt5_docdir}
%{_qt5_docdir}/global

#------------------------------------------------------------------------------

%package examples
Summary: Example programs made with Qt%{qtmajor}
Group:   Documentation
Provides: qt5-examples = %version-%release
Obsoletes: qt5-examples

%description examples
Example programs made with Qt%{qtmajor}.

%files examples
%{_qt5_examplesdir}

#------------------------------------------------------------------------------

%if ! %without odbc

%package -n %{_lib}qt5-database-plugin-odbc
Summary: Qt%{qtmajor} Database ODBC Database Plugin
Group: Databases
Provides: qt5-database-plugin-odbc = %version-%release
Obsoletes: qt5-database-plugin-odbc

Provides:  qtbase5-database-plugin-odbc = %version-%release
Obsoletes: qtbase5-database-plugin-odbc < 5.5.1-2

BuildRequires: unixODBC-devel
 
%description -n %{_lib}qt5-database-plugin-odbc
The QODBC driver allows you to connect to an ODBC (Open Database 
Connectivity) driver manager and access the available data sources.

%files -n %{_lib}qt5-database-plugin-odbc
%{_qt5_plugindir}/sqldrivers/libqsqlodbc.so

%endif

#------------------------------------------------------------------------------

%if ! %without mysql

%package -n %{_lib}qt5-database-plugin-mysql
Summary: Qt%{qtmajor} MYSQL Database Plugin
Group: Databases
BuildRequires: mysql-devel
Provides: qt5-database-plugin-mysql = %version-%release
Obsoletes: qt5-database-plugin-mysql

Provides:  qtbase5-database-plugin-mysql = %version-%release
Obsoletes: qtbase5-database-plugin-mysql < 5.5.1-2

%description -n %{_lib}qt5-database-plugin-mysql
Database plugin for mysql Qt support.

%files -n %{_lib}qt5-database-plugin-mysql
%{_qt5_plugindir}/sqldrivers/libqsqlmysql.so

%endif

#------------------------------------------------------------------------------

%if ! %without sqlite

%package -n %{_lib}qt5-database-plugin-sqlite
Summary: Qt%{qtmajor} SQLITE Database Plugin
Group: Databases
BuildRequires: sqlite3-devel
Provides: qt5-database-plugin-sqlite = %version-%release
Obsoletes: qt5-database-plugin-sqlite

Provides:  qtbase5-database-plugin-sqlite = %version-%release
Obsoletes: qtbase5-database-plugin-sqlite < 5.5.1-2

%description -n %{_lib}qt5-database-plugin-sqlite
The Qt SQLite plugin makes it possible to access SQLite databases.

%files -n %{_lib}qt5-database-plugin-sqlite
%{_qt5_plugindir}/sqldrivers/libqsqlite.so
%endif

#------------------------------------------------------------------------------

%if ! %without tds

%package -n %{_lib}qt5-database-plugin-tds
Summary: Qt%{qtmajor} FREETDS Database Plugin
Group: Databases
BuildRequires: freetds-devel
Provides: qt5-database-plugin-tds = %version-%release
Obsoletes: qt5-database-plugin-tds

Provides:  qtbase5-database-plugin-tds = %version-%release
Obsoletes: qtbase5-database-plugin-tds < 5.5.1-2

%description -n %{_lib}qt5-database-plugin-tds
Database plugin for freetds Qt support.

%files -n %{_lib}qt5-database-plugin-tds
%{_qt5_plugindir}/sqldrivers/libqsqltds.so

%endif

#------------------------------------------------------------------------------

%if %with ibase

%package -n %{_lib}qt5-database-plugin-ibase
Summary: Qt%{qtmajor} Interbase Database Plugin
Group: Databases
BuildRequires: firebird-devel
Provides: qt5-database-plugin-ibase = %version-%release
Obsoletes: qt5-database-plugin-ibase

Provides:  qtbase5-database-plugin-ibase = %version-%release
Obsoletes: qtbase5-database-plugin-ibase < 5.5.1-2

%description -n %{_lib}qt5-database-plugin-ibase
Database plugin for interbase Qt support.

%files -n %{_lib}qt5-database-plugin-ibase
%{_qt5_plugindir}/sqldrivers/libqsqlibase.so

%endif

#------------------------------------------------------------------------------

%if ! %without postgres

%package -n %{_lib}qt5-database-plugin-pgsql
Summary: Qt%{qtmajor} PGSQL Database Plugin
Group: Databases
BuildRequires: postgresql-devel
BuildRequires: libpq-devel
Provides: qt5-database-plugin-pgsql = %version-%release
Obsoletes: qt5-database-plugin-pgsql

Provides:  qtbase5-database-plugin-pgsql = %version-%release
Obsoletes: qtbase5-database-plugin-pgsql < 5.5.1-2

%description -n %{_lib}qt5-database-plugin-pgsql
Database plugin for pgsql Qt support.

%files -n %{_lib}qt5-database-plugin-pgsql
%{_qt5_plugindir}/sqldrivers/libqsqlpsql.so

%endif

#------------------------------------------------------------------------------
# CORE QT LIBRARIES
#------------------------------------------------------------------------------

%package -n %{libqtcore}
Summary: Qt%{qtmajor} Component Library
Group: System/Libraries
Requires(pre): %{name}-common = %{version}

%description -n %{libqtcore}
Qt%{qtmajor} Component Library.

The QtCore module contains core non-GUI functionality.

%files -n %{libqtcore}
%{_qt5_libdir}/libQt5Core.so.%{qtmajor}*
%ifarch %{ix86}
%{_qt5_libdir}/sse2/libQt5Core.so.%{qtmajor}*
%endif

#------------------------------------------------------------------------------

%package -n %{libqtcore_d}
Summary: Devel files needed to build apps based on QtCore
Group:    Development/Libraries
Requires(pre): %{name}-common = %{version}
Requires:  %name-common-devel = %{version}-%{release}
Requires: %{libqtcore} = %version
Provides: libqtcore5-devel = %version
Provides: libqt5core-devel = %version
Provides: qt5core-devel = %version
Provides: qtcore5-devel = %version

%description -n %{libqtcore_d}
Devel files needed to build apps based on QtCore.

%files -n %{libqtcore_d}
%{_qt5_libdir}/libQt5Core.prl
%{_qt5_libdir}/libQt5Core.so
%{_qt5_libdir}/pkgconfig/Qt5Core.pc
%{_qt5_libdir}/cmake/Qt5Core
%{_qt5_libdir}/cmake/Qt5/Qt5Config.cmake
%{_qt5_libdir}/cmake/Qt5/Qt5ConfigVersion.cmake
%{_qt5_includedir}/QtCore

#------------------------------------------------------------------------------
%package -n %{libqtcore_ph_d}
Summary: Private header devel files needed to build apps based on QtCore
Group:    Development/Libraries
Requires(pre): %{name}-common = %{version}
Requires:  %name-common-devel = %{version}-%{release}
Requires: %{libqtcore} = %version
Provides: libqtcore5-private-devel = %version
Provides: libqt5core-private-devel = %version
Provides: qt5core-private-devel = %version
Provides: qtcore5-private-devel = %version
Provides: libqtsql5-private-devel = %version
Provides: libqt5sql-private-devel = %version
Provides: qt5sql-private-devel = %version
Provides: qtsql5-private-devel = %version

Provides: libqtdbus5-private-devel = %version
Provides: libqt5dbus-private-devel = %version
Provides: qt5dbus-private-devel = %version
Provides: qtdbus5-private-devel = %version

Provides: libqtgui5-private-devel = %version
Provides: libqt5gui-private-devel = %version
Provides: qtgui5-private-devel = %version
Provides: qt5gui-private-devel = %version

Provides: libqtnetwork5-private-devel = %version
Provides: libqt5network-private-devel = %version
Provides: qtnetwork5-private-devel = %version
Provides: qt5network-private-devel = %version

Provides: libqtopengl5-private-devel = %version
Provides: libqt5opengl-private-devel = %version
Provides: qtopengl5-private-devel = %version
Provides: qt5opengl-private-devel = %version

Provides: libqtprintsupport5-private-devel = %version
Provides: libqt5printsupport-private-devel = %version
Provides: qtprintsupport5-private-devel = %version
Provides: qt5printsupport-private-devel = %version

Provides: libqttest5-private-devel = %version
Provides: libqt5test-private-devel = %version
Provides: qttest5-private-devel = %version
Provides: qt5test-private-devel = %version

Provides: libqtwidgets5-private-devel = %version
Provides: libqt5widgets-private-devel = %version
Provides: qtwidgets5-private-devel = %version
Provides: qt5widgets-private-devel = %version

Provides: libqtplatformsupport5-private-devel = %version
Provides: libqt5platformsupport-private-devel = %version
Provides: qtplatformsupport5-private-devel = %version
Provides: qt5platformsupport-private-devel = %version


%description -n %{libqtcore_ph_d}
Private header devel files needed to build apps based on QtCore.

%files -n %{libqtcore_ph_d}
%{_qt5_includedir}/qtxcb-private/qxcbbackingstore.h
%{_qt5_includedir}/qtxcb-private/qxcbclipboard.h
%{_qt5_includedir}/qtxcb-private/qxcbconnection.h
%{_qt5_includedir}/qtxcb-private/qxcbcursor.h
%{_qt5_includedir}/qtxcb-private/qxcbdrag.h
%{_qt5_includedir}/qtxcb-private/qxcbexport.h
%{_qt5_includedir}/qtxcb-private/qxcbimage.h
%{_qt5_includedir}/qtxcb-private/qxcbintegration.h
%{_qt5_includedir}/qtxcb-private/qxcbkeyboard.h
%{_qt5_includedir}/qtxcb-private/qxcbmime.h
%{_qt5_includedir}/qtxcb-private/qxcbnativeinterface.h
%{_qt5_includedir}/qtxcb-private/qxcbobject.h
%{_qt5_includedir}/qtxcb-private/qxcbscreen.h
%{_qt5_includedir}/qtxcb-private/qxcbsessionmanager.h
%{_qt5_includedir}/qtxcb-private/qxcbsystemtraytracker.h
%{_qt5_includedir}/qtxcb-private/qxcbwindow.h
%{_qt5_includedir}/qtxcb-private/qxcbwmsupport.h
%{_qt5_includedir}/qtxcb-private/qxcbxsettings.h
%{_qt5_includedir}/qtxcb-private/qxcbvulkaninstance.h
%{_qt5_includedir}/qtxcb-private/qxcbvulkanwindow.h

%{_qt5_includedir}/QtAccessibilitySupport/5.10.*/QtAccessibilitySupport/private/qaccessiblebridgeutils_p.h
%{_qt5_includedir}/QtDeviceDiscoverySupport/5.10.*/QtDeviceDiscoverySupport/private/qdevicediscovery_dummy_p.h
%{_qt5_includedir}/QtDeviceDiscoverySupport/5.10.*/QtDeviceDiscoverySupport/private/qdevicediscovery_p.h
%{_qt5_includedir}/QtDeviceDiscoverySupport/5.10.*/QtDeviceDiscoverySupport/private/qdevicediscovery_static_p.h
%{_qt5_includedir}/QtDeviceDiscoverySupport/5.10.*/QtDeviceDiscoverySupport/private/qdevicediscovery_udev_p.h
%{_qt5_includedir}/QtEglFSDeviceIntegration/5.10.*/QtEglFSDeviceIntegration/private/qeglfscontext_p.h
%{_qt5_includedir}/QtEglFSDeviceIntegration/5.10.*/QtEglFSDeviceIntegration/private/qeglfscursor_p.h
%{_qt5_includedir}/QtEglFSDeviceIntegration/5.10.*/QtEglFSDeviceIntegration/private/qeglfsdeviceintegration_p.h
%{_qt5_includedir}/QtEglFSDeviceIntegration/5.10.*/QtEglFSDeviceIntegration/private/qeglfsglobal_p.h
%{_qt5_includedir}/QtEglFSDeviceIntegration/5.10.*/QtEglFSDeviceIntegration/private/qeglfshooks_p.h
%{_qt5_includedir}/QtEglFSDeviceIntegration/5.10.*/QtEglFSDeviceIntegration/private/qeglfsintegration_p.h
%{_qt5_includedir}/QtEglFSDeviceIntegration/5.10.*/QtEglFSDeviceIntegration/private/qeglfsoffscreenwindow_p.h
%{_qt5_includedir}/QtEglFSDeviceIntegration/5.10.*/QtEglFSDeviceIntegration/private/qeglfsscreen_p.h
%{_qt5_includedir}/QtEglFSDeviceIntegration/5.10.*/QtEglFSDeviceIntegration/private/qeglfswindow_p.h
%{_qt5_includedir}/QtEglSupport/5.10.*/QtEglSupport/private/qeglconvenience_p.h
%{_qt5_includedir}/QtEglSupport/5.10.*/QtEglSupport/private/qeglpbuffer_p.h
%{_qt5_includedir}/QtEglSupport/5.10.*/QtEglSupport/private/qeglplatformcontext_p.h
%{_qt5_includedir}/QtEglSupport/5.10.*/QtEglSupport/private/qeglstreamconvenience_p.h
%{_qt5_includedir}/QtEglSupport/5.10.*/QtEglSupport/private/qt_egl_p.h
%{_qt5_includedir}/QtEglSupport/5.10.*/QtEglSupport/private/qxlibeglintegration_p.h
%{_qt5_includedir}/QtEventDispatcherSupport/5.10.*/QtEventDispatcherSupport/private/qeventdispatcher_glib_p.h
%{_qt5_includedir}/QtEventDispatcherSupport/5.10.*/QtEventDispatcherSupport/private/qgenericunixeventdispatcher_p.h
%{_qt5_includedir}/QtEventDispatcherSupport/5.10.*/QtEventDispatcherSupport/private/qunixeventdispatcher_qpa_p.h
%{_qt5_includedir}/QtEventDispatcherSupport/5.10.*/QtEventDispatcherSupport/private/qwindowsguieventdispatcher_p.h
%{_qt5_includedir}/QtFbSupport/5.10.*/QtFbSupport/private/qfbbackingstore_p.h
%{_qt5_includedir}/QtFbSupport/5.10.*/QtFbSupport/private/qfbcursor_p.h
%{_qt5_includedir}/QtFbSupport/5.10.*/QtFbSupport/private/qfbscreen_p.h
%{_qt5_includedir}/QtFbSupport/5.10.*/QtFbSupport/private/qfbvthandler_p.h
%{_qt5_includedir}/QtFbSupport/5.10.*/QtFbSupport/private/qfbwindow_p.h
%{_qt5_includedir}/QtFontDatabaseSupport/5.10.*/QtFontDatabaseSupport/private/qcoretextfontdatabase_p.h
%{_qt5_includedir}/QtFontDatabaseSupport/5.10.*/QtFontDatabaseSupport/private/qfontconfigdatabase_p.h
%{_qt5_includedir}/QtFontDatabaseSupport/5.10.*/QtFontDatabaseSupport/private/qfontengine_coretext_p.h
%{_qt5_includedir}/QtFontDatabaseSupport/5.10.*/QtFontDatabaseSupport/private/qfontengine_ft_p.h
%{_qt5_includedir}/QtFontDatabaseSupport/5.10.*/QtFontDatabaseSupport/private/qfontenginemultifontconfig_p.h
%{_qt5_includedir}/QtFontDatabaseSupport/5.10.*/QtFontDatabaseSupport/private/qfreetypefontdatabase_p.h
%{_qt5_includedir}/QtFontDatabaseSupport/5.10.*/QtFontDatabaseSupport/private/qgenericunixfontdatabase_p.h
%{_qt5_includedir}/QtFontDatabaseSupport/5.10.*/QtFontDatabaseSupport/private/qwindowsfontdatabase_ft_p.h
%{_qt5_includedir}/QtFontDatabaseSupport/5.10.*/QtFontDatabaseSupport/private/qwindowsfontdatabase_p.h
%{_qt5_includedir}/QtFontDatabaseSupport/5.10.*/QtFontDatabaseSupport/private/qwindowsfontengine_p.h
%{_qt5_includedir}/QtFontDatabaseSupport/5.10.*/QtFontDatabaseSupport/private/qwindowsfontenginedirectwrite_p.h
%{_qt5_includedir}/QtFontDatabaseSupport/5.10.*/QtFontDatabaseSupport/private/qwindowsnativeimage_p.h
%{_qt5_includedir}/QtFontDatabaseSupport/5.10.*/QtFontDatabaseSupport/private/qwinrtfontdatabase_p.h
%{_qt5_includedir}/QtGlxSupport/5.10.*/QtGlxSupport/private/qglxconvenience_p.h
%{_qt5_includedir}/QtInputSupport/5.10.*/QtInputSupport/private/qevdevkeyboard_defaultmap_p.h
%{_qt5_includedir}/QtInputSupport/5.10.*/QtInputSupport/private/qevdevkeyboardhandler_p.h
%{_qt5_includedir}/QtInputSupport/5.10.*/QtInputSupport/private/qevdevkeyboardmanager_p.h
%{_qt5_includedir}/QtInputSupport/5.10.*/QtInputSupport/private/qevdevmousehandler_p.h
%{_qt5_includedir}/QtInputSupport/5.10.*/QtInputSupport/private/qevdevmousemanager_p.h
%{_qt5_includedir}/QtInputSupport/5.10.*/QtInputSupport/private/qevdevtablethandler_p.h
%{_qt5_includedir}/QtInputSupport/5.10.*/QtInputSupport/private/qevdevtabletmanager_p.h
%{_qt5_includedir}/QtInputSupport/5.10.*/QtInputSupport/private/qevdevtouchfilter_p.h
%{_qt5_includedir}/QtInputSupport/5.10.*/QtInputSupport/private/qevdevtouchhandler_p.h
%{_qt5_includedir}/QtInputSupport/5.10.*/QtInputSupport/private/qevdevtouchmanager_p.h
%{_qt5_includedir}/QtInputSupport/5.10.*/QtInputSupport/private/qlibinputhandler_p.h
%{_qt5_includedir}/QtInputSupport/5.10.*/QtInputSupport/private/qlibinputkeyboard_p.h
%{_qt5_includedir}/QtInputSupport/5.10.*/QtInputSupport/private/qlibinputpointer_p.h
%{_qt5_includedir}/QtInputSupport/5.10.*/QtInputSupport/private/qlibinputtouch_p.h
%{_qt5_includedir}/QtInputSupport/5.10.*/QtInputSupport/private/qtouchoutputmapping_p.h
%{_qt5_includedir}/QtInputSupport/5.10.*/QtInputSupport/private/qtslib_p.h

%{_qt5_includedir}/QtKmsSupport/5.10.*/QtKmsSupport/private/qkmsdevice_p.h
%{_qt5_includedir}/QtPlatformCompositorSupport/5.10.*/QtPlatformCompositorSupport/private/qopenglcompositor_p.h
%{_qt5_includedir}/QtPlatformCompositorSupport/5.10.*/QtPlatformCompositorSupport/private/qopenglcompositorbackingstore_p.h
%{_qt5_includedir}/QtServiceSupport/5.10.*/QtServiceSupport/private/qgenericunixservices_p.h
%{_qt5_includedir}/QtThemeSupport/5.10.*/QtThemeSupport/private/qabstractfileiconengine_p.h
%{_qt5_includedir}/QtThemeSupport/5.10.*/QtThemeSupport/private/qdbusmenuadaptor_p.h
%{_qt5_includedir}/QtThemeSupport/5.10.*/QtThemeSupport/private/qdbusmenubar_p.h
%{_qt5_includedir}/QtThemeSupport/5.10.*/QtThemeSupport/private/qdbusmenuconnection_p.h
%{_qt5_includedir}/QtThemeSupport/5.10.*/QtThemeSupport/private/qdbusmenuregistrarproxy_p.h
%{_qt5_includedir}/QtThemeSupport/5.10.*/QtThemeSupport/private/qdbusmenutypes_p.h
%{_qt5_includedir}/QtThemeSupport/5.10.*/QtThemeSupport/private/qdbusplatformmenu_p.h
%{_qt5_includedir}/QtThemeSupport/5.10.*/QtThemeSupport/private/qdbustrayicon_p.h
%{_qt5_includedir}/QtThemeSupport/5.10.*/QtThemeSupport/private/qdbustraytypes_p.h
%{_qt5_includedir}/QtThemeSupport/5.10.*/QtThemeSupport/private/qgenericunixthemes_p.h
%{_qt5_includedir}/QtThemeSupport/5.10.*/QtThemeSupport/private/qstatusnotifieritemadaptor_p.h
%{_qt5_includedir}/QtThemeSupport/5.10.*/QtThemeSupport/private/qxdgnotificationproxy_p.h

%{_qt5_includedir}/QtLinuxAccessibilitySupport/5.10.*/QtLinuxAccessibilitySupport/private/application_p.h
%{_qt5_includedir}/QtLinuxAccessibilitySupport/5.10.*/QtLinuxAccessibilitySupport/private/atspiadaptor_p.h
%{_qt5_includedir}/QtLinuxAccessibilitySupport/5.10.*/QtLinuxAccessibilitySupport/private/bridge_p.h
%{_qt5_includedir}/QtLinuxAccessibilitySupport/5.10.*/QtLinuxAccessibilitySupport/private/cache_p.h
%{_qt5_includedir}/QtLinuxAccessibilitySupport/5.10.*/QtLinuxAccessibilitySupport/private/constant_mappings_p.h
%{_qt5_includedir}/QtLinuxAccessibilitySupport/5.10.*/QtLinuxAccessibilitySupport/private/struct_marshallers_p.h
%{_qt5_includedir}/QtLinuxAccessibilitySupport/5.10.*/QtLinuxAccessibilitySupport/private/dbusconnection_p.h

%{_qt5_includedir}/QtEdidSupport/5.10.*/QtEdidSupport/private/qedidparser_p.h
%{_qt5_includedir}/QtEdidSupport/5.10.*/QtEdidSupport/private/qedidvendortable_p.h
%{_qt5_includedir}/QtEdidSupport/QtEdidSupport
%{_qt5_includedir}/QtEdidSupport/QtEdidSupportDepends
%{_qt5_includedir}/QtEdidSupport/QtEdidSupportVersion
%{_qt5_includedir}/QtEdidSupport/qtedidsupportversion.h



%package -n %{libqtsql}
Summary: Qt%{qtmajor} Component Library
Group: System/Libraries
Requires(pre): %{name}-common = %{version}

%description -n %{libqtsql}
Qt%{qtmajor} Component Library.

%files -n %{libqtsql}
%{_qt5_libdir}/libQt5Sql.so.%{qtmajor}*

#------------------------------------------------------------------------------

%package -n %{libqtsql_d}
Summary: Devel files needed to build apps based on QtSql
Group:    Development/Libraries
Requires(pre): %{name}-common = %{version}
Requires:  %name-common-devel = %{version}-%{release}
Requires: %{libqtsql} = %version
%if ! %without odbc 
Requires: qtbase5-database-plugin-odbc
%endif
%if ! %without tds
Requires: qtbase5-database-plugin-tds
%endif
%if ! %without mysql
Requires: qtbase5-database-plugin-mysql
%endif
%if ! %without postgres
Requires: qtbase5-database-plugin-pgsql
%endif
%if ! %without sqlite
Requires: qtbase5-database-plugin-sqlite
%endif
Provides: libqtsql5-devel = %version
Provides: libqt5sql-devel = %version
Provides: qt5sql-devel = %version
Provides: qtsql5-devel = %version


%description -n %{libqtsql_d}
Devel files needed to build apps based on QtSql.

%files -n %{libqtsql_d}
%{_qt5_libdir}/libQt5Sql.prl
%{_qt5_libdir}/libQt5Sql.so
%{_qt5_libdir}/pkgconfig/Qt5Sql.pc
%{_qt5_libdir}/cmake/Qt5Sql
%{_qt5_includedir}/QtSql

#------------------------------------------------------------------------------

%package -n %{libqtdbus}
Summary: Qt%{qtmajor} Component Library
Group: System/Libraries
Requires(pre): %{name}-common = %{version}

%description -n %{libqtdbus}
Qt%{qtmajor} Component Library.

The QtCore module contains core non-GUI functionality.

%files -n %{libqtdbus}
%{_qt5_libdir}/libQt5DBus.so.%{qtmajor}*

#------------------------------------------------------------------------------

%package -n %{libqtdbus_d}
Summary: Devel files needed to build apps based on QtCore
Group:    Development/Libraries
Requires(pre): %{name}-common = %{version}
Requires:  %name-common-devel = %{version}-%{release}
Requires: %{libqtdbus} = %version
Provides: libqtdbus5-devel = %version
Provides: libqt5dbus-devel = %version
Provides: qt5dbus-devel = %version
Provides: qtdbus5-devel = %version


%description -n %{libqtdbus_d}
Devel files needed to build apps based on QtCore.

%files -n %{libqtdbus_d}
%{_qt5_libdir}/libQt5DBus.prl
%{_qt5_libdir}/libQt5DBus.so
%{_qt5_libdir}/pkgconfig/Qt5DBus.pc
%{_qt5_libdir}/cmake/Qt5DBus
%{_qt5_includedir}/QtDBus

#------------------------------------------------------------------------------

%package -n %{libqtconcurrent}
Summary: Qt%{qtmajor} 3D Lib
Group: System/Libraries
Requires(pre): %{name}-common = %{version}

%description -n %{libqtconcurrent}
Qt%{qtmajor} 3D Lib.

%files -n %{libqtconcurrent}
%{_qt5_libdir}/libQt5Concurrent.so.%{qtmajor}*

#------------------------------------------------------------------------------

%package -n %{libqtconcurrent_d}
Summary: Devel files needed to build apps based on QtConcurrent
Group:    Development/Libraries
Requires(pre): %{name}-common = %{version}
Requires:  %name-common-devel = %{version}-%{release}
Requires: %{libqtconcurrent} = %version
Provides: libqtconcurrent5-devel = %version
Provides: libqt5concurrent-devel = %version
Provides: qt5concurrent-devel = %version
Provides: qtconcurrent5-devel = %version
%description -n %{libqtconcurrent_d}
Devel files needed to build apps based on QtConcurrent.

%files -n %{libqtconcurrent_d}
%{_qt5_libdir}/libQt5Concurrent.so
%{_qt5_libdir}/libQt5Concurrent.prl
%{_qt5_libdir}/pkgconfig/Qt5Concurrent.pc
%{_qt5_libdir}/cmake/Qt5Concurrent
%{_qt5_includedir}/QtConcurrent

#------------------------------------------------------------------------------

%package -n %{libqtgui}
Summary: Qt%{qtmajor} Component Library
Group: System/Libraries
Requires(pre): %{name}-common = %{version}
Requires: glxinfo

%description -n %{libqtgui}
Qt%{qtmajor} Component Library.

The QtGui module extends QtCore with GUI functionality.

%files -n %{libqtgui}
%{_qt5_libdir}/libQt5Gui.so.%{qtmajor}*
%ifarch %{ix86}
%{_qt5_libdir}/sse2/libQt5Gui.so.%{qtmajor}*
%endif
%{_qt5_plugindir}/imageformats/
%{_qt5_plugindir}/platforminputcontexts
%{_qt5_plugindir}/platformthemes
%{_qt5_plugindir}/platforms
%{_sysconfdir}/X11/xinit.d/qt5-check-opengl2.sh

#------------------------------------------------------------------------------

%package -n %{libqtgui_d}
Summary: Devel files needed to build apps based on QtContacts
Group:    Development/Libraries
Requires(pre): %{name}-common = %{version}
Requires:  %name-common-devel = %{version}-%{release}
Requires: mesa-devel
Requires: %{libqtgui} = %version
Provides: libqtgui5-devel = %version
Provides: libqt5gui-devel = %version
Provides: qtgui5-devel = %version
Provides: qt5gui-devel = %version


%description -n %{libqtgui_d}
Devel files needed to build apps based on QtContacts.

%files -n %{libqtgui_d}
%{_qt5_libdir}/libQt5Gui.prl
%{_qt5_libdir}/libQt5Gui.so
%{_qt5_libdir}/pkgconfig/Qt5Gui.pc
%{_qt5_libdir}/cmake/Qt5Gui
%{_qt5_includedir}/QtGui

#------------------------------------------------------------------------------

%package -n %{libqtnetwork}
Summary: Qt%{qtmajor} Component Library
Group: System/Libraries
Requires(pre): %{name}-common = %{version}

%description -n %{libqtnetwork}
Qt%{qtmajor} Component Library.

The QtNetwork module provides classes to make network programming easier
and portable.

%files -n %{libqtnetwork}
%{_qt5_libdir}/libQt5Network.so.%{qtmajor}*

#------------------------------------------------------------------------------

%package -n %{libqtnetwork_d}
Summary: Devel files needed to build apps based on QtNetwork
Group:    Development/Libraries
Requires(pre): %{name}-common = %{version}
Requires:  %name-common-devel = %{version}-%{release}
Requires: %{libqtnetwork} = %version
Provides: libqtnetwork5-devel = %version
Provides: libqt5network-devel = %version
Provides: qtnetwork5-devel = %version
Provides: qt5network-devel = %version


%description -n %{libqtnetwork_d}
Devel files needed to build apps based on QtNetwork.

%files -n %{libqtnetwork_d}
%{_qt5_libdir}/libQt5Network.prl
%{_qt5_libdir}/libQt5Network.so
%{_qt5_libdir}/pkgconfig/Qt5Network.pc
%{_qt5_libdir}/cmake/Qt5Network
%{_qt5_includedir}/QtNetwork

#------------------------------------------------------------------------------

%package -n %{libqtopengl}
Summary: Qt%{qtmajor} Component Library
Group: System/Libraries
Requires(pre): %{name}-common = %{version}

%description -n %{libqtopengl}
Qt%{qtmajor} Component Library.

The QtOpenGL module offers classes that make it easy to use OpenGL in 
Qt applications.

%files -n %{libqtopengl}
%{_qt5_libdir}/libQt5OpenGL.so.%{qtmajor}*

#------------------------------------------------------------------------------

%package -n %{libqtopengl_d}
Summary: Devel files needed to build apps based on QtContacts
Group:    Development/Libraries
Requires(pre): %{name}-common = %{version}
Requires:  %name-common-devel = %{version}-%{release}
Requires: %{libqtopengl} = %version
Provides: libqtopengl5-devel = %version
Provides: libqt5opengl-devel = %version
Provides: qtopengl5-devel = %version
Provides: qt5opengl-devel = %version

%description -n %{libqtopengl_d}
Devel files needed to build apps based on QtContacts.

%files -n %{libqtopengl_d}
%{_qt5_libdir}/libQt5OpenGL.prl
%{_qt5_libdir}/libQt5OpenGL.so
%{_qt5_libdir}/libQt5OpenGLExtensions.a
%{_qt5_libdir}/libQt5OpenGLExtensions.prl
%{_qt5_libdir}/pkgconfig/Qt5OpenGLExtensions.pc
%{_qt5_libdir}/pkgconfig/Qt5OpenGL.pc
%{_qt5_libdir}/cmake/Qt5OpenGL
%{_qt5_libdir}/cmake/Qt5OpenGLExtensions/
%{_qt5_includedir}/QtOpenGL
%{_qt5_includedir}/QtOpenGLExtensions

#------------------------------------------------------------------------------

%package -n %{libqtprintsupport}
Summary: Qt%{qtmajor} Lib
Group: System/Libraries
Requires(pre): %{name}-common = %{version}

%description -n %{libqtprintsupport}
Qt%{qtmajor} Lib.

%files -n %{libqtprintsupport}
%{_qt5_libdir}/libQt5PrintSupport.so.%{qtmajor}*
%{_qt5_plugindir}/printsupport

#------------------------------------------------------------------------------

%package -n %{libqtprintsupport_d}
Summary: Devel files needed to build apps based on QtPrintSupport
Group:    Development/Libraries
Requires(pre): %{name}-common = %{version}
Requires:  %name-common-devel = %{version}-%{release}
Requires: %{libqtprintsupport} = %version
Provides: libqtprintsupport5-devel = %version
Provides: libqt5printsupport-devel = %version
Provides: qtprintsupport5-devel = %version
Provides: qt5printsupport-devel = %version

%description -n %{libqtprintsupport_d}
Devel files needed to build apps based on QtPrintSupport.

%files -n %{libqtprintsupport_d}
%{_qt5_libdir}/libQt5PrintSupport.so
%{_qt5_libdir}/libQt5PrintSupport.prl
%{_qt5_libdir}/pkgconfig/Qt5PrintSupport.pc
%{_qt5_libdir}/cmake/Qt5PrintSupport
%{_qt5_includedir}/QtPrintSupport

#------------------------------------------------------------------------------

%package -n %{libqttest}
Summary: Qt%{qtmajor} Component Library
Group: System/Libraries
Requires(pre): %{name}-common = %{version}

%description -n %{libqttest}
Qt%{qtmajor} Component Library.

The QtTest module provides classes for unit testing Qt applications and
libraries.

%files -n %{libqttest}
%{_qt5_libdir}/libQt5Test.so.%{qtmajor}*

#------------------------------------------------------------------------------

%package -n %{libqttest_d}
Summary: Devel files needed to build apps based on QtTest
Group:    Development/Libraries
Requires(pre): %{name}-common = %{version}
Requires:  %name-common-devel = %{version}-%{release}
Requires: %{libqttest} = %version
Requires: %{libqttest_d} = %version
Provides: libqttest5-devel = %version
Provides: libqt5test-devel = %version
Provides: qttest5-devel = %version
Provides: qt5test-devel = %version

Requires: qtwidgets5-devel = %version-%release

%description -n %{libqttest_d}
Devel files needed to build apps based on QtTest.

%files -n %{libqttest_d}
%{_qt5_libdir}/libQt5Test.prl
%{_qt5_libdir}/libQt5Test.so
%{_qt5_libdir}/pkgconfig/Qt5Test.pc
%{_qt5_libdir}/cmake/Qt5Test
%{_qt5_includedir}/QtTest

#------------------------------------------------------------------------------

%package -n %{libqtwidgets}
Summary: Qt%{qtmajor} Lib
Group: System/Libraries
Requires(pre): %{name}-common = %{version}

%description -n %{libqtwidgets}
Qt%{qtmajor} Lib.

%files -n %{libqtwidgets}
%{_qt5_libdir}/libQt5Widgets.so.%{qtmajor}*

#------------------------------------------------------------------------------

%package -n %{libqtwidgets_d}
Summary: Devel files needed to build apps based on QtWidgets
Group:    Development/Libraries
Requires(pre): %{name}-common = %{version}
Requires:  %name-common-devel = %{version}-%{release}
Requires: %{libqtwidgets} = %version
Provides: libqtwidgets5-devel = %version
Provides: libqt5widgets-devel = %version
Provides: qtwidgets5-devel = %version
Provides: qt5widgets-devel = %version


%description -n %{libqtwidgets_d}
Devel files needed to build apps based on QtWidgets.

%files -n %{libqtwidgets_d}
%{_qt5_libdir}/libQt5Widgets.so
%{_qt5_libdir}/libQt5Widgets.prl
%{_qt5_libdir}/pkgconfig/Qt5Widgets.pc
%{_qt5_libdir}/cmake/Qt5Widgets
%{_qt5_includedir}/QtWidgets

#------------------------------------------------------------------------------

%package -n %{libqtxml}
Summary: Qt%{qtmajor} Component Library
Group: System/Libraries
Requires(pre): %{name}-common = %{version}

%description -n %{libqtxml}
Qt%{qtmajor} Component Library.

The QtXml module provides a stream reader and writer for XML documents,
and C++ implementations of SAX and DOM.

%files -n %{libqtxml}
%{_qt5_libdir}/libQt5Xml.so.%{qtmajor}*

#------------------------------------------------------------------------------

%package -n %{libqtxml_d}
Summary: Devel files needed to build apps based on QtXml
Group:    Development/Libraries
Requires(pre): %{name}-common = %{version}
Requires:  %name-common-devel = %{version}-%{release}
Requires: %{libqtxml} = %version
Provides: libqtxml5-devel = %version
Provides: libqt5xml-devel = %version
Provides: qtxml5-devel = %version
Provides: qt5xml-devel = %version

%description -n %{libqtxml_d}
Devel files needed to build apps based on QtXml.

%files -n %{libqtxml_d}
%{_qt5_libdir}/libQt5Xml.prl
%{_qt5_libdir}/libQt5Xml.so
%{_qt5_libdir}/pkgconfig/Qt5Xml.pc
%{_qt5_libdir}/cmake/Qt5Xml
%{_qt5_includedir}/QtXml

#------------------------------------------------------------------------------

%package -n %{libqtplatformsupport_d}
Summary: Devel files needed to build apps based on QtPlatformSupport
Group:    Development/Libraries
Requires(pre): %{name}-common = %{version}
Requires:  %name-common-devel = %{version}-%{release}
Provides: libqtplatformsupport5-devel = %version
Provides: libqt5platformsupport-devel = %version
Provides: qtplatformsupport5-devel = %version
Provides: qt5platformsupport-devel = %version
# For compatibility


%description -n %{libqtplatformsupport_d}
Devel files needed to build iapps based on QtPlatformSupport.

%files -n %{libqtplatformsupport_d}
%{_qt5_includedir}/QtPlatformHeaders

#------------------------------------------------------------------------------

%package -n %{libqtbootstrap_d}
Summary: Devel files needed to build apps based on QtBootstrap
Group:    Development/Libraries
Requires(pre): %{name}-common = %{version}
Requires:  %name-common-devel = %{version}-%{release}
Provides: libqtbootstrap5-devel = %version

%description -n %{libqtbootstrap_d}
Devel files needed to build apps based on QtBootstrap.

%files -n %{libqtbootstrap_d}
%{_qt5_libdir}/libQt5Bootstrap.a
%{_qt5_libdir}/libQt5Bootstrap.prl


#------------------------------------------------------------------------------

%package -n %{libqtegldeviceintegration}
Summary: Qt%{qtmajor} Component Library
Group: System/Libraries
Requires(pre): %{name}-common = %{version}

%description -n %{libqtegldeviceintegration}
Qt%{qtmajor} Component Library.

The QtGui module extends QtCore with GUI functionality.

%files -n %{libqtegldeviceintegration}
%{_qt5_plugindir}/egldeviceintegrations
%{_qt5_libdir}/libQt5EglFSDeviceIntegration.so.%{qtmajor}*
%{_qt5_libdir}/libQt5EglFsKmsSupport.so.%{qtmajor}*
#------------------------------------------------------------------------------

%package -n %{libqtegldeviceintegration_d}
Summary: Devel files needed to build apps based on QtContacts
Group:    Development/Libraries
Requires(pre): %{name}-common = %{version}
Requires:  %name-common-devel = %{version}-%{release}
Requires: %{libqtgui} = %version
Provides: libqtegldeviceintegration5-devel = %version
Provides: libqt5egldeviceintegration-devel = %version
Provides: qtegldeviceintegration5-devel = %version
Provides: qt5egldeviceintegration-devel = %version

%description -n %{libqtegldeviceintegration_d}
Devel files needed to build apps based on QtContacts.

%files -n %{libqtegldeviceintegration_d}
%{_qt5_libdir}/libQt5EglFSDeviceIntegration.so
%{_qt5_libdir}/libQt5EglFSDeviceIntegration.prl

%{_qt5_libdir}/libQt5EglFsKmsSupport.prl
%{_qt5_libdir}/libQt5EglFsKmsSupport.so
#------------------------------------------------------------------------------

%package -n %{libqtxcbqpa}
Summary: Qt%{qtmajor} Component Library
Group: System/Libraries
Requires(pre): %{name}-common = %{version}

%description -n %{libqtxcbqpa}
Qt%{qtmajor} Component Library.

The QtGui module extends QtCore with GUI functionality.

%files -n %{libqtxcbqpa}
%{_qt5_libdir}/libQt5XcbQpa.so.%{qtmajor}*
%{_qt5_plugindir}/xcbglintegrations

#------------------------------------------------------------------------------

%package -n %{libqtxcbqpa_d}
Summary: Devel files needed to build apps based on QtContacts
Group:    Development/Libraries
Requires(pre): %{name}-common = %{version}
Requires:  %name-common-devel = %{version}-%{release}
Requires: %{libqtgui} = %version
Provides: libqtxcbqpa5-devel = %version
Provides: libqt5xcbqpa-devel = %version
Provides: qtxcbqpa5-devel = %version
Provides: qt5xcbqpa-devel = %version

%description -n %{libqtxcbqpa_d}
Devel files needed to build apps based on QtContacts.

%files -n %{libqtxcbqpa_d}
%{_qt5_libdir}/libQt5XcbQpa.prl
%{_qt5_libdir}/libQt5XcbQpa.so

#------------------------------------------------------------------------------

%package -n %{libqtdevel}
Summary:   Development files for the Qt%{qtmajor} GUI toolkit
Group:     Development/Libraries
Requires(pre):  %{name}-common = %{version}
Provides:  qt5-devel = %{version}-%{release}
Provides:  qtbase5-devel = %{version}-%{release}
Provides:  libqtbase5-devel = %{version}-%{release}
Provides:  libqt5-devel = %{version}-%{release}

Requires:  %name-common-devel = %{version}-%{release}
Requires:  %{libqtconcurrent_d} = %{version}-%{release}
Requires:  %{libqtdbus_d} = %{version}-%{release}
Requires:  %{libqtcore_d} = %{version}-%{release}
Requires:  %{libqtsql_d} = %{version}-%{release}
Requires:  %{libqtgui_d} = %{version}-%{release}
Requires:  %{libqtnetwork_d} = %{version}-%{release}
Requires:  %{libqtopengl_d} = %{version}-%{release}
Requires:  %{libqtprintsupport_d} = %{version}-%{release}
Requires:  %{libqttest_d} = %{version}-%{release}
Requires:  %{libqtwidgets_d} = %{version}-%{release}
Requires:  %{libqtxml_d} = %{version}-%{release}
Requires:  %{libqtbootstrap_d} = %{version}-%{release}
Requires:  %{libqtxcbqpa_d} = %{version}-%{release}
Requires:  %{libqtegldeviceintegration_d} = %{version}-%{release}
Requires:  %{libqtcore_ph_d} = %{version}-%{release}

%description -n %{libqtdevel}
The %{name}-devel package contains the files necessary to develop
applications using the Qt GUI toolkit: the header files, the Qt
meta object compiler, and the static libraries.  See the address
http://qt-project.org/ for more information about Qt%{qtmajor}.

%files -n %{libqtdevel}
%{_qt5_libdir}/cmake/Qt5/Qt5ModuleLocation.cmake
%{_qt5_libdir}/libQt5AccessibilitySupport.a
%{_qt5_libdir}/libQt5AccessibilitySupport.prl
%{_qt5_libdir}/libQt5DeviceDiscoverySupport.a
%{_qt5_libdir}/libQt5DeviceDiscoverySupport.prl
%{_qt5_libdir}/libQt5EglSupport.a
%{_qt5_libdir}/libQt5EglSupport.prl
%{_qt5_libdir}/libQt5EventDispatcherSupport.a
%{_qt5_libdir}/libQt5EventDispatcherSupport.prl
%{_qt5_libdir}/libQt5FbSupport.a
%{_qt5_libdir}/libQt5FbSupport.prl
%{_qt5_libdir}/libQt5FontDatabaseSupport.a
%{_qt5_libdir}/libQt5FontDatabaseSupport.prl
%{_qt5_libdir}/libQt5GlxSupport.a
%{_qt5_libdir}/libQt5GlxSupport.prl
%{_qt5_libdir}/libQt5InputSupport.a
%{_qt5_libdir}/libQt5InputSupport.prl
%{_qt5_libdir}/libQt5KmsSupport.a
%{_qt5_libdir}/libQt5KmsSupport.prl
%{_qt5_libdir}/libQt5PlatformCompositorSupport.a
%{_qt5_libdir}/libQt5PlatformCompositorSupport.prl
%{_qt5_libdir}/libQt5ServiceSupport.a
%{_qt5_libdir}/libQt5ServiceSupport.prl
%{_qt5_libdir}/libQt5ThemeSupport.a
%{_qt5_libdir}/libQt5ThemeSupport.prl

%{_qt5_libdir}/libQt5LinuxAccessibilitySupport.a
%{_qt5_libdir}/libQt5LinuxAccessibilitySupport.prl

%{_qt5_libdir}/libQt5EdidSupport.a
%{_qt5_libdir}/libQt5EdidSupport.prl

%{_qt5_includedir}/QtLinuxAccessibilitySupport/QtLinuxAccessibilitySupport
%{_qt5_includedir}/QtLinuxAccessibilitySupport/QtLinuxAccessibilitySupportDepends
%{_qt5_includedir}/QtLinuxAccessibilitySupport/QtLinuxAccessibilitySupportVersion
%{_qt5_includedir}/QtLinuxAccessibilitySupport/qtlinuxaccessibilitysupportversion.h

%{_qt5_includedir}/QtAccessibilitySupport/QtAccessibilitySupport
%{_qt5_includedir}/QtAccessibilitySupport/QtAccessibilitySupportDepends
%{_qt5_includedir}/QtAccessibilitySupport/QtAccessibilitySupportVersion
%{_qt5_includedir}/QtAccessibilitySupport/qtaccessibilitysupportversion.h
%{_qt5_includedir}/QtDeviceDiscoverySupport/QtDeviceDiscoverySupport
%{_qt5_includedir}/QtDeviceDiscoverySupport/QtDeviceDiscoverySupportDepends
%{_qt5_includedir}/QtDeviceDiscoverySupport/QtDeviceDiscoverySupportVersion
%{_qt5_includedir}/QtDeviceDiscoverySupport/qtdevicediscoverysupportversion.h
%{_qt5_includedir}/QtEglFSDeviceIntegration/QtEglFSDeviceIntegration
%{_qt5_includedir}/QtEglFSDeviceIntegration/QtEglFSDeviceIntegrationDepends
%{_qt5_includedir}/QtEglFSDeviceIntegration/QtEglFSDeviceIntegrationVersion
%{_qt5_includedir}/QtEglFSDeviceIntegration/qteglfsdeviceintegrationversion.h
%{_qt5_includedir}/QtEglSupport/QtEglSupport
%{_qt5_includedir}/QtEglSupport/QtEglSupportDepends
%{_qt5_includedir}/QtEglSupport/QtEglSupportVersion
%{_qt5_includedir}/QtEglSupport/qteglsupportversion.h
%{_qt5_includedir}/QtEventDispatcherSupport/QtEventDispatcherSupport
%{_qt5_includedir}/QtEventDispatcherSupport/QtEventDispatcherSupportDepends
%{_qt5_includedir}/QtEventDispatcherSupport/QtEventDispatcherSupportVersion
%{_qt5_includedir}/QtEventDispatcherSupport/qteventdispatchersupportversion.h
%{_qt5_includedir}/QtFbSupport/QtFbSupport
%{_qt5_includedir}/QtFbSupport/QtFbSupportDepends
%{_qt5_includedir}/QtFbSupport/QtFbSupportVersion
%{_qt5_includedir}/QtFbSupport/qtfbsupportversion.h
%{_qt5_includedir}/QtFontDatabaseSupport/QtFontDatabaseSupport
%{_qt5_includedir}/QtFontDatabaseSupport/QtFontDatabaseSupportDepends
%{_qt5_includedir}/QtFontDatabaseSupport/QtFontDatabaseSupportVersion
%{_qt5_includedir}/QtFontDatabaseSupport/qtfontdatabasesupportversion.h
%{_qt5_includedir}/QtGlxSupport/QtGlxSupport
%{_qt5_includedir}/QtGlxSupport/QtGlxSupportDepends
%{_qt5_includedir}/QtGlxSupport/QtGlxSupportVersion
%{_qt5_includedir}/QtGlxSupport/qtglxsupportversion.h
%{_qt5_includedir}/QtInputSupport/QtInputSupport
%{_qt5_includedir}/QtInputSupport/QtInputSupportDepends
%{_qt5_includedir}/QtInputSupport/QtInputSupportVersion
%{_qt5_includedir}/QtInputSupport/qtinputsupportversion.h
%{_qt5_includedir}/QtKmsSupport/QtKmsSupport
%{_qt5_includedir}/QtKmsSupport/QtKmsSupportDepends
%{_qt5_includedir}/QtKmsSupport/QtKmsSupportVersion
%{_qt5_includedir}/QtKmsSupport/qtkmssupportversion.h
%{_qt5_includedir}/QtPlatformCompositorSupport/QtPlatformCompositorSupport
%{_qt5_includedir}/QtPlatformCompositorSupport/QtPlatformCompositorSupportDepends
%{_qt5_includedir}/QtPlatformCompositorSupport/QtPlatformCompositorSupportVersion
%{_qt5_includedir}/QtPlatformCompositorSupport/qtplatformcompositorsupportversion.h
%{_qt5_includedir}/QtServiceSupport/QtServiceSupport
%{_qt5_includedir}/QtServiceSupport/QtServiceSupportDepends
%{_qt5_includedir}/QtServiceSupport/QtServiceSupportVersion
%{_qt5_includedir}/QtServiceSupport/qtservicesupportversion.h
%{_qt5_includedir}/QtThemeSupport/QtThemeSupport
%{_qt5_includedir}/QtThemeSupport/QtThemeSupportDepends
%{_qt5_includedir}/QtThemeSupport/QtThemeSupportVersion
%{_qt5_includedir}/QtThemeSupport/qtthemesupportversion.h
%{_qt5_includedir}/QtInputSupport/QIntegrityHIDManager
%{_qt5_includedir}/QtInputSupport/qintegrityhidmanager.h


#-------------------------------------------------------------------

%package -n %name-common-devel
Summary:   Development files for the Qt%{qtmajor} GUI toolkit
Group:     Development/Libraries
Requires(pre):  %{name}-common = %{version}

%description -n %name-common-devel
Common files needed to build application based on Qt5

%post -n %name-common-devel
update-alternatives --install %{_bindir}/qmake qmake %{_qt5_bindir}/qmake 20

%postun -n %name-common-devel
if ! [ -e %{_qt5_bindir}/qmake ]; then
  update-alternatives --remove qmake %{_qt5_bindir}/qmake
fi

%files -n %name-common-devel
%{_sysconfdir}/rpm/macros.d/qt5.macros
%{_qt5_bindir}/moc
%{_qt5_bindir}/qdbusxml2cpp
%{_qt5_bindir}/qdbuscpp2xml
%{_qt5_bindir}/qmake
%{_qt5_bindir}/rcc
%{_qt5_bindir}/uic
%{_qt5_bindir}/qlalr
%{_qt5_bindir}/fixqt4headers.pl
%{_qt5_bindir}/qvkgen
%{_qt5_datadir}/mkspecs
%dir %{_qt5_libdir}/cmake
%if "%{_qt5_includedir}" != "%{_includedir}"
%dir %{_qt5_includedir}
%endif

#------------------------------------------------------------------------------

%prep
%setup -q -n qtbase-everywhere-src-%{version}
%apply_patches

# Fix missing private includes https://bugreports.qt.io/browse/QTBUG-37417
sed -e '/CMAKE_NO_PRIVATE_INCLUDES\ \=\ true/d' -i mkspecs/features/create_cmake.prf

# Unlike Fedora, we don't modify the installed mkspecs to contain our flags,
# which would have the side effect that plain 'qmake' would use them as well
# (i.e. even when not building an rpm), which is not really wanted. Our
# packages are built with %%qmake_qt5 (qt5.macros) which already overrides the
# flags, so altering qmake default configuration for that is unnecessary.
# Since the Qt configure script doesn't support defining custom flags, we
# still have to temporarily override the flags below - they are restored in
# %%install. -Anssi
cp mkspecs/linux-g++/qmake.conf mkspecs/linux-g++/qmake.conf.upstream
cat >> mkspecs/linux-g++/qmake.conf <<EOF
QMAKE_CFLAGS   = %{optflags}
QMAKE_CXXFLAGS = %{optflags}
QMAKE_LFLAGS   = %{ldflags}
QMAKE_STRIP    =
# Note that setting QMAKE_LFLAGS_PLUGIN here would do no good, as it would
# just get appended to $QMAKE_LFLAGS instead of replacing it.
EOF

sed -e "s|^QMAKE_CFLAGS_RELEASE .*$|QMAKE_CFLAGS_RELEASE    += %{optflags}  -fno-strict-aliasing -DPIC -fPIC| " -e 's|^QMAKE_CXXFLAGS .*|& -std=gnu++0x|' -i mkspecs/common/gcc-base.conf mkspecs/common/gcc-base-unix.conf

%if 0
# set correct lib path (from fedora)
if [ "%{_lib}" == "lib64" ] ; then
    sed -i -e "s,/usr/lib /lib,/usr/%{_lib} /%{_lib},g" config.tests/{unix,x11}/*.test
    sed -i -e "s,/lib /usr/lib,/%{_lib} /usr/%{_lib},g" config.tests/{unix,x11}/*.test
fi
%endif

%build
export QTDIR=`/bin/pwd`
export PATH="$PWD/bin:$PWD/qtrepotools/bin:$PATH"
export QMAKESPEC=$PWD/mkspecs/linux-g++
# Don't include headers or link with /usr/X11R6/{include,lib}
perl -pi -e 's@/X11R6/@/@' mkspecs/linux-*/qmake.conf mkspecs/common/linux.conf

#------------------------------------------------------------------------------
echo "INCLUDEPATH += /usr/include/openssl" >> src/network/network.pro
export OPENSSL_LIBS='-L/usr/lib64/openssl -lssl -lcrypto'

# (doktor5000) provide SSE2-enabled library in separate subdir as recommended by upstream
# https://bugreports.qt-project.org/browse/QTBUG-35430 
# -no-sse2: compile by default without sse2 support on i586, which also requires
# -no-pch:  do not use pre compiled headers (in order to be able to rebuild the gui submodule)

unset QMAKESPEC
unset XQMAKESPEC
unset QMAKEPATH
unset QMAKEFEATURES

./configure -v \
    -ccache \
    -confirm-license \
    -opensource \
    -optimized-qmake \
    -prefix %{_qt5_prefix} \
    -bindir %{_qt5_bindir} \
    -datadir %{_qt5_datadir} \
    -docdir %{_qt5_docdir} \
    -examplesdir %{_qt5_examplesdir} \
    -headerdir %{_qt5_includedir} \
    -importdir %{_qt5_importdir} \
    -libdir %{_qt5_libdir} \
    -plugindir %{_qt5_plugindir} \
    -sysconfdir %{_qt5_sysconfdir} \
    -translationdir %{_qt5_translationdir} \
%ifarch %ix86
    -no-sse2 \
%endif
%if %with debug
    -debug \
    -verbose \
    -developer-build \
%else
    -release \
    -silent \
%endif
    -shared \
    -no-separate-debug-info \
    -no-rpath \
    -no-pch \
    -reduce-relocations \
    -openssl-linked \
    -dbus-linked \
    -no-directfb \
    -gtk \
    -fontconfig \
%if %{with qvfb}   
   -qvfb \
%endif
    -opengl desktop \
    -platform linux-g++ \
    -sm \
    -system-libpng \
    -system-libjpeg \
    -system-zlib \
    -glib \
    -cups \
%if ! %without postgres
    -plugin-sql-psql \
%endif
%if ! %without mysql
    -plugin-sql-mysql \
%else
    -no-sql-mysql \
%endif
%if %with ibase
    -plugin-sql-ibase \
%else
    -no-sql-ibase \
%endif
%if ! %without sqlite
    -plugin-sql-sqlite \
    -system-sqlite \
    -no-sql-sqlite2 \
%else
    -no-sql-sqlite \
    -no-sql-sqlite2 \
%endif
%if ! %without odbc
    -plugin-sql-odbc \
%else
    -no-sql-odbc \
%endif
%if %without docs
    -nomake docs \
    -nomake demos \
    -nomake examples
%endif

%install
RPM_BUILD_NCPUS="`/usr/bin/getconf _NPROCESSORS_ONLN`"

################## Build of QtBase ########################################

make -j $RPM_BUILD_NCPUS
make INSTALL_ROOT=$RPM_BUILD_ROOT install

%ifarch %{ix86}
mkdir -p %{buildroot}/%{_qt5_libdir}/sse2
	# corelib needs make clean first to be able to rebuild
	pushd src/corelib; make clean ; ../../bin/qmake -config sse2; make
	cp -av ../../lib/libQt5Core.so.* %{buildroot}/%{_qt5_libdir}/sse2/
	popd
	# gui on turn doesn't needs it, and actually fails if done.
	pushd src/gui; ../../bin/qmake -config sse2; make
	cp -av ../../lib/libQt5Gui.so.* %{buildroot}/%{_qt5_libdir}/sse2/
	popd
%endif

install -d %{buildroot}/%{_qt5_docdir}
install -d %{buildroot}/%{_sysconfdir}
install -d %{buildroot}/%{_sysconfdir}/profile.d

# recreate .qm files
#LD_LIBRARY_PATH=`pwd`/lib bin/lrelease translations/*.ts

%if %{with qvfb}
    # Install qvfb
    %make -C tools/qvfb INSTALL_ROOT=%{buildroot} install
%else
rm -f %{buildroot}%{_qt5_translationdir}/qvfb*.qm
%endif


# Fix mkspec link
pushd  %{buildroot}/%{_qt5_datadir}/mkspecs
rm -f default
ln -sf %{_qt5_datadir}/mkspecs/linux-g++ default
popd

# Restore qmake.conf to the upstream version which was backed up in %%prep
mv %{buildroot}%{_qt5_datadir}/mkspecs/linux-g++/qmake.conf.upstream %{buildroot}%{_qt5_datadir}/mkspecs/linux-g++/qmake.conf

# Fix all buildroot paths
find %{buildroot}/%{_qt5_libdir} -type f -name '*prl' -exec perl -pi -e "s, -L%{_builddir}/\S+,,g" {} \;
find %{buildroot}/%{_qt5_libdir} -type f -name '*prl' -exec sed -i -e "/^QMAKE_PRL_BUILD_DIR/d" {} \;
find %{buildroot}/%{_qt5_libdir} -type f -name '*la' -print -exec perl -pi -e "s, -L%{_builddir}/?\S+,,g" {} \;
find %{buildroot}/%{_qt5_libdir} -type f -name '*la' -print -exec sed -i -e "s, -L%{_builddir}/?\S+,,g" -e "s,-L../JavaScriptCore/release,,g" -e "s,-ljscore,,g" {} \;
find %{buildroot}/%{_qt5_datadir}/mkspecs -name 'qmake.conf' -exec chmod -x -- {} \;
find %{buildroot}/%{_qt5_datadir}/mkspecs -name Info.plist.app -exec chmod -x -- {} \;

# Don't reference builddir neither /usr(/X11R6)?/ in .pc files.
perl -pi -e '\
s@-L/usr/X11R6/%{_lib} @@g;\
s@-I/usr/X11R6/include @@g;\
s@-L/%{_builddir}\S+@@g'\
    `find . -name \*.pc`

# Install rpm macros
mkdir -p %{buildroot}/%{_sysconfdir}/rpm/macros.d
install -m 0644 %SOURCE2 %{buildroot}/%{_sysconfdir}/rpm/macros.d

# Install Compat software OpenGL 1.x
mkdir -p %{buildroot}%{_sysconfdir}/X11/xinit.d
install -m 0755 %SOURCE3 %{buildroot}%{_sysconfdir}/X11/xinit.d/qt5-check-opengl2.sh

# Profiles
cat > %{buildroot}/%{_sysconfdir}/profile.d/60qt5.sh << EOF
#!/bin/bash
QTDIR5="%{_qt5_prefix}" ; export QTDIR5 ;

[ -z \$QT5DOCDIR ] && export QT5DOCDIR=%{_qt5_docdir}

if [ -z \$(echo \$PATH | grep "%{_qt5_bindir}") ]; then
    PATH=\${PATH}:%{_qt5_bindir}
    export PATH
fi

EOF

cat > %{buildroot}/%{_sysconfdir}/profile.d/60qt5.csh << EOF
#!/bin/csh
setenv QTDIR5 %{_qt5_prefix}
if ( ! \$?QT5DOCDIR ) setenv QT5DOCDIR %{_qt5_docdir}
set path = (\$path \$QTDIR5/bin)
EOF


# .la and .a files, die, die, die.
rm -f %{buildroot}%{_qt5_libdir}/lib*.la
# .a files are needed by qttols5
#rm -f %{buildroot}%{_qt5_libdir}/lib*.a

install -d -m755 %buildroot/%{_qt5_includedir}/qtxcb-private
cp -r src/plugins/platforms/xcb/*.h %buildroot/%{_qt5_includedir}/qtxcb-private/



%changelog
* Thu Jan 18 2018 bbs <bb2> - 5.10.0-2pclos2018
- apply printer patches

* Sat Dec 09 2017 bb2 <bb2> - 5.10.0-1pclos2017
- new version

* Wed Nov 22 2017 bb2 <bb2> - 5.9.3-1pclos2017
- new version

* Wed Oct 18 2017 bb2 <bb2> - 5.9.2-3pclos2017
- remove 0001-NV_RESET.patch

* Tue Oct 17 2017 bb2 <bb2> - 5.9.2-2pclos2017
- apply 0001-NV_RESET.patch

* Fri Oct 06 2017 bb2 <bb2> - 5.9.2-1pclos2017
- new version

* Fri Jun 30 2017 bb2 <bb2> - 5.9.1-1pclos2017
- new version

* Thu Jun 15 2017 bb2 <bb2> - 5.9.0-4pclos2017
- include xcb private headers

* Wed Jun 14 2017 bb2 <bb2> - 5.9.0-3pclos2017
- apply upstream patches

* Wed Jun 14 2017 bb2 <bb2> - 5.9.0-2pclos2017
- add gtk support build option

* Mon Jun 04 2017 bb2 <bb2> - 5.9.0-1pclos2017
- new version

* Thu Mar 30 2017 bb2 <bb2> - 5.6.2-3pclos2017
- add qt5-check-opengl2.sh

* Sat Dec 03 2016 bb <bb> - 5.6.2-2pclos2016
- add kactivitymanagerd-segfaults.patch

* Thu Oct 13 2016 bb <bb> - 5.6.2-1pclos2016
- update

